GET
/adjustments/{adjustment_id}/credit-note Returns a link to a credit note PDF for an adjustment.
Credit note PDFs are created for refunds and credits as a record of an adjustment.
The link returned is not a permanent link. It expires after an hour.
Requires adjustment.read
permission.
Path parameters
adjustment_idstringrequired
Paddle ID of the adjustment entity to work with.
Query parameters
dispositionstring
Default:
attachmentDetermine whether the generated URL should download the PDF as an attachment saved locally, or open it inline in the browser.
Default: attachment.
Values
attachmentGenerated URL downloads the PDF as an attachment. Browsers typically automatically save the PDF.inlineGenerated URL displays the PDF inline in the browser. Browsers typically open the PDF in the current tab.
Response (200)
dataobjectrequired
urlstringrequired
URL of the requested resource.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "data": { "url": "https://paddle-production-invoice-service-pdfs.s3.amazonaws.com/credit_notes/15839/crdnt_01j4scmgpbtbxap16573dtck9n/credit_notes_296-10016_Paddle-com.pdf" }, "meta": { "request_id": "e34d4a9c-2088-447d-a3a1-1da5ce74f507" }}